Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
sha2cc.h File Reference
`#include <CommonCrypto/CommonDigest.h>`

Go to the source code of this file.

## Macros
#define | COMMON_DIGEST_FOR_OPENSSL 1
#define | SHA256_BLOCK_LENGTH CC_SHA256_BLOCK_BYTES
#define | SHA384_BLOCK_LENGTH CC_SHA384_BLOCK_BYTES
#define | SHA512_BLOCK_LENGTH CC_SHA512_BLOCK_BYTES
#define | SHA384_CTX CC_SHA512_CTX
#define | SHA256_Update rb_digest_SHA256_update
#define | SHA256_Finish rb_digest_SHA256_finish
#define | SHA384_Update rb_digest_SHA384_update
#define | SHA384_Finish rb_digest_SHA384_finish
#define | SHA512_Update rb_digest_SHA512_update
#define | SHA512_Finish rb_digest_SHA512_finish

## Macro Definition Documentation

## ◆ COMMON_DIGEST_FOR_OPENSSL

#define COMMON_DIGEST_FOR_OPENSSL 1

Definition at line 1 of file sha2cc.h.

## ◆ SHA256_BLOCK_LENGTH

#define SHA256_BLOCK_LENGTH CC_SHA256_BLOCK_BYTES

Definition at line 4 of file sha2cc.h.

## ◆ SHA256_Finish

#define SHA256_Finish rb_digest_SHA256_finish

## ◆ SHA256_Update

#define SHA256_Update rb_digest_SHA256_update

## ◆ SHA384_BLOCK_LENGTH

#define SHA384_BLOCK_LENGTH CC_SHA384_BLOCK_BYTES

Definition at line 5 of file sha2cc.h.

## ◆ SHA384_CTX

#define SHA384_CTX CC_SHA512_CTX

Definition at line 8 of file sha2cc.h.

## ◆ SHA384_Finish

#define SHA384_Finish rb_digest_SHA384_finish

## ◆ SHA384_Update

#define SHA384_Update rb_digest_SHA384_update

## ◆ SHA512_BLOCK_LENGTH

#define SHA512_BLOCK_LENGTH CC_SHA512_BLOCK_BYTES

Definition at line 6 of file sha2cc.h.

## ◆ SHA512_Finish

#define SHA512_Finish rb_digest_SHA512_finish

## ◆ SHA512_Update

#define SHA512_Update rb_digest_SHA512_update